﻿using Microsoft.AspNetCore.Mvc;

namespace TestServer.Tools
{
    /// <summary>
    /// 복수 역할 권한 확인 어트리브튜
    /// </summary>
    public class MultipleRoleAuthorizeAttribute : TypeFilterAttribute
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MultipleRoleAuthorizeAttribute(policyList, applyAnd)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="policyList">정책 리스트</param>
        /// <param name="applyAnd">AND 적용 여부</param>
        public MultipleRoleAuthorizeAttribute(string policyList, bool applyAnd = false) : base(typeof(MultipleRoleAuthorizeFilter))
        {
            Arguments = new object[] { policyList, applyAnd };
        }

        #endregion
    }
}