﻿using Microsoft.AspNetCore.Authorization;

namespace TestServer.Tools
{
    /// <summary>
    /// 정책
    /// </summary>
    public class Policy
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Instance
        //////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// 관리자
        /// </summary>
        public const string Administrator = "Administrator";

        /// <summary>
        /// 사용자
        /// </summary>
        public const string User = "User";

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 관리자 권한 정책 구하기 - GetAdministratorAuthorizationPolicy()

        /// <summary>
        /// 관리자 권한 정책 구하기
        /// </summary>
        /// <returns>관리자 권한 정책</returns>
        public static AuthorizationPolicy GetAdministratorAuthorizationPolicy()
        {
            return new AuthorizationPolicyBuilder().RequireAuthenticatedUser().RequireRole(Administrator).Build();
        }

        #endregion
        #region 사용자 권한 정책 구하기 - GetUserAuthorizationPolicy()

        /// <summary>
        /// 사용자 권한 정책 구하기
        /// </summary>
        /// <returns>사용자 권한 정책</returns>
        public static AuthorizationPolicy GetUserAuthorizationPolicy()
        {
            return new AuthorizationPolicyBuilder().RequireAuthenticatedUser().RequireRole(User).Build();
        }

        #endregion
    }
}